Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyotocabinet::TSDKey Class Reference

Key of thread specific data. More...

`#include <kcthread.h>`

List of all members.

## Public Member Functions

| TSDKey ()
| Default constructor.
| TSDKey (void(*dstr)(void *))
| Constructor.
| ~TSDKey ()
| Destructor.
void | set (void *ptr)
| Set the value.
void * | get () const
| Get the value.

## Detailed Description

Key of thread specific data.

## Constructor & Destructor Documentation

kyotocabinet::TSDKey::TSDKey | ( |  | ) | `[explicit]`

Default constructor.

kyotocabinet::TSDKey::TSDKey | ( | void(*)(void *) | dstr | ) | `[explicit]`

Constructor.

Parameters:

  dstr | the destructor for the value.

kyotocabinet::TSDKey::~TSDKey | ( |  | ) |

Destructor.

## Member Function Documentation

void kyotocabinet::TSDKey::set | ( | void * | ptr | ) |

Set the value.

Parameters:

  ptr | an arbitrary pointer.

void* kyotocabinet::TSDKey::get | ( |  | ) | const

Get the value.

Returns:
  the value.